Subject: Re: Store references in SBCL-compiled code are "invisible"

From: Pierre Neidhardt <[email-masked]>
Date: Sun, 23 Dec 2018 16:05:57 +0100

Thanks for looking into this, Ludo.

At first glance, I'd say that this is not a compilation option but the way
strings are encoded by default.  It seems that multibyte encoding is used all
over the place by a few compilers including SBCL (and CCL I think).

One way I know around this (I'm by no mean a Common Lisp expert) is the
flexi-streams package for re-encoding.

More generally, shouldn't we make the reference scanner a bit smarter?  In
particular, how does it handle non-ASCII references?  Maybe it would not be
unreasonable to handle UTF-8 and UCS-4 for instance?

-- 
Pierre Neidhardt
https://ambrevar.xyz/